%define debug_package %{nil} 

Summary:	Windows NT registry reader/lookup tool

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		reglookup
Version:	1.0.1
Release:	2%{?dist}
URL:		http://projects.sentinelchicken.org/reglookup/

License:	GPL

Group:		Applications/Forensics Tools

Source:		%{name}-src-%{version}.tar.gz
Patch0:		%{name}-%{version}-patch-001
BuildRoot:	%{_tmppath}/rpm-root-%{name}-%{version}
BuildRequires:	gcc-c++, libstdc++-devel
BuildRequires:	scons
BuildRequires:	libtalloc-devel
BuildRequires:	python3
%if 0%{?rhel} > 0
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%endif
%if 0%{?fedora} <= 12
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%endif

%description
RegLookup project is an small command line utility for reading and
querying Windows NT/2K/XP registries.

Currently the program allows one to read an entire registry and output
it in a (mostly) standardized, quoted format. It also provides features
for filtering of results based on registry path and data type.

%prep
%setup -n %{name}-src-%{version}
%patch0 -p1

%build
scons

%install
%__install -d %{buildroot}%{_bindir}
%__install bin/reglookup-timeline	%{buildroot}%{_bindir}
%__install src/reglookup		%{buildroot}%{_bindir}
%__install src/reglookup-recover	%{buildroot}%{_bindir}

%__install -d %{buildroot}%{_mandir}/man1
%__install doc/reglookup.1.gz		%{buildroot}%{_mandir}/man1
%__install doc/reglookup-timeline.1.gz	%{buildroot}%{_mandir}/man1
%__install doc/reglookup-recover.1.gz	%{buildroot}%{_mandir}/man1

%__install -d %{buildroot}%{_libdir}
%__install lib/libregfi.a		%{buildroot}%{_libdir}
%__install lib/libregfi.so		%{buildroot}%{_libdir}

%__install -d %{buildroot}%{_includedir}/regfi
%__install include/*.h			%{buildroot}%{_includedir}/regfi

%{__python} pyregfi-distutils.py install --root=%{buildroot} --prefix=%{_prefix}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0444, root, root, 0755)
%doc INSTALL LICENSE
%attr(555, root, root)	%{_bindir}/reglookup
%attr(555, root, root)	%{_bindir}/reglookup-timeline
%attr(555, root, root)	%{_bindir}/reglookup-recover
%attr(444, root, root)	%{_mandir}/man1/reglookup.1.gz
%attr(444, root, root)	%{_mandir}/man1/reglookup-timeline.1.gz
%attr(444, root, root)	%{_mandir}/man1/reglookup-recover.1.gz
%attr(444, root, root)	%{_includedir}/regfi/*
%attr(444, root, root)	%{_libdir}/libregfi.*
%dir			%{python_sitelib}/pyregfi
%attr(444, root, root)	%{python_sitelib}/pyregfi-*
%attr(444, root, root)	%{python_sitelib}/pyregfi/*.py*

%changelog
* Mon Mar 12 2012 Lawrence R. Rogers <lrr@cert.org> 1.0.1-2
* Release 1.0.1-2
	Patch 278: fix for pyregfi install
	Patch 277: incorporated a version of Adam Golebiowski's build patches reworked REGFI_VERSION and began using it in pyregfi installation
	Patch 276: added 1.0.1 target

* Sat Oct 2 2011 Lawrence R. Rogers <lrr@cert.org> 1.0.1-1
* Release 1.0.1-1
	This bug-fix release addresses some issues identified since the last release and includes no significant changes to functionality. Fixes include:
		Minor changes and fixes to unicode handling in pyregfi
		Corrected an infinite loop on corrupted registries discovered by Andrew Case
		Added ldconfig call during installation
		Improved error reporting and other minor fixes

* Tue Sep 20 2011 Lawrence R. Rogers <lrr@cert.org> 1.0.0-2
* Release 1.0.0-2
	Rebuilt to use python 2.7

* Sun Jun 19 2011 Lawrence R. Rogers <lrr@cert.org> 1.0.0-1 
* Release 1.0.0-1
	This major release stablizes the previous release candidate and adds minor improvements, including:
		SK records and security descriptors now accessible in pyregfi
		Added key caching to regfi, reintroduced SK caching
		Minor API simplifications and improved documentation
		Numerous bug fixes

* Sun May 1 2011 Lawrence R. Rogers <lrr@cert.org> 0.99.0-1
* Release 0.99.0-1
	This 1.0 release candidate contains major improvements to regfi usability.  Important changes include:
		Made regfi a proper library and made major improvements to the API
		Added Python bindings (pyregfi) for regfi
		Replaced Make-based build system with a SCons-based one
		Numerous improvements in regfi for multithreaded use, memory management
		Improved API documentation
